/* eslint-disable */
import system from './index' // 系统首页

import noAccessRight from './noAccessRight/index' // 暂无菜单权限

import dashboard from './dashboard/index' // 控制板

import systemSet from './systemSet/index' // 系统设置
import userManager from './systemSet/userManager/index' // 用户管理
import addUser from './systemSet/userManager/add' // 添加用户
import editUser from './systemSet/userManager/edit' // 编辑用户
import roleManager from './systemSet/roleManager/index' // 角色管理
import editRole from './systemSet/roleManager/add' // 编辑角色

import caseManager from './caseManager/index' // 案场管理
import caseInfo from './caseManager/caseInfo/index' // 案场信息
import addCase from './caseManager/caseInfo/addCase/index' // 新增案场
import editCase from './caseManager/caseInfo/editCase/index' // 新增案场
import deviceManager from './caseManager/deviceManager/index' // 体检设备
import addDevice from './caseManager/deviceManager/add' // 添加体检设备
import editDevice from './caseManager/deviceManager/add' // 编辑体检设备
import pplConcerned from './caseManager/caseInfo/pplConcerned/index' // 相关人员
import editPPLConcerned from './caseManager/caseInfo/pplConcerned/editPPLConcerned/index' // 编辑相关人员
import keyManager from './caseManager/keyManager/index' // 钥匙管理
import addKey from './caseManager/keyManager/add' // 新增钥匙
import caseAreaManager from './caseManager/caseAreaManager/index' // 案场区域管理
import addCaseArea from './caseManager/caseAreaManager/add' // 新增案场区域
import editCaseArea from './caseManager/caseAreaManager/edit' // 编辑案场区域
import caseTableManager from './caseManager/caseTableManager/index' // 案场桌位管理
import addCaseTable from './caseManager/caseTableManager/add' // 新增案场桌位
import editCaseTable from './caseManager/caseTableManager/edit' // 编辑案场桌位
import tagManager from './caseManager/tagManager/index' // 标签管理
import addTag from './caseManager/tagManager/add' // 添加标签
import editTag from './caseManager/tagManager/edit' // 编辑标签
import signinManager from './caseManager/signinManager/index' // 签到管理

import goodsManager from './goodsManager/index' // 商品管理
import goodsTypeManager from './goodsManager/goodsTypeManager/index' // 商品类型管理
import addGoodsType from './goodsManager/goodsTypeManager/add' // 新增商品类型
import editGoodsType from './goodsManager/goodsTypeManager/edit' // 编辑商品类型
import goodsSpecManager from './goodsManager/goodsSpecManager/index' // 商品规格管理
import addGoodsSpec from './goodsManager/goodsSpecManager/add' // 新增商品规格
import editGoodsSpec from './goodsManager/goodsSpecManager/edit' // 编辑商品规格管理
import goodsList from './goodsManager/goodManager/index' // 商品管理
import addGoods from './goodsManager/goodManager/edit' // 商品新增
import editGoods from './goodsManager/goodManager/edit' // 商品编辑

import cmsManager from './cmsManager/index' // cms管理
import bannerManager from './cmsManager/bannerManager/index' // 轮播图管理
import addBanner from './cmsManager/bannerManager/add' // 添加轮播图
import editBanner from './cmsManager/bannerManager/edit' // 编辑轮播图
import indexCase from './cmsManager/majorProjects/index' // 售楼处项目专题
import editIndexCase from './cmsManager/majorProjects/edit' // 编辑售楼处项目专题
import addIndexCase from './cmsManager/majorProjects/edit' // 新增售楼处项目专题
import indexMsg from './cmsManager/indexMsg/index' // 首页消息
import addIndexMsg from './cmsManager/indexMsg/add' // 新增首页消息
import editIndexMsg from './cmsManager/indexMsg/edit' // 新增首页消息
import newsManager from './cmsManager/newsManager/index' // 资讯管理
import addNews from './cmsManager/newsManager/add' // 资讯管理
import editNews from './cmsManager/newsManager/edit' // 资讯管理

import channelManager from './channelManager/index' // 渠道管理
import channelList from './channelManager/channelList/index' // 渠道列表
import addChannel from './channelManager/channelList/add' // 新增渠道
import editChannel from './channelManager/channelList/edit' // 编辑渠道

import courseManager from './courseManager/index' // 课程管理
import fiveA from './courseManager/fiveA/index' // 全龄生活5A
import addFiveA from './courseManager/fiveA/add' // 全龄生活5A添加
import editFiveA from './courseManager/fiveA/edit' // 全龄生活5A编辑
import courseList from './courseManager/courseList/index' // 课程列表
import addCourse from './courseManager/courseList/add' // 新增课程
import editCourse from './courseManager/courseList/add' // 新增课程
import courseTag from './courseManager/courseTag/index' // 课程标签
import scheduleManager from './courseManager/scheduleManager/index' // 排课管理
import editSchedule from './courseManager/scheduleManager/edit' // 新增、编辑排课

import verificationManager from './verificationManager/index' // 核销管理
import qrcodeVerification from './verificationManager/qrcodeVerification/index' // 二维码核销
import qrcodeVerificationList from './verificationManager/qrcodeVerification/verificationList/index' // 二维码核销列表
import phoneVerification from './verificationManager/phoneVerification/index' // 手机核销
import phoneVerificationList from './verificationManager/phoneVerification/verificationList/index' // 手机核销列表
import drawVerification from './verificationManager/drawVerification/index' // 抽奖核销
import drawVerificationList from './verificationManager/drawVerification/verificationList/index' // 抽奖核销列表

import dataStatistics from './dataStatistics/index' // 数据统计
import frontEndUserList from './dataStatistics/frontEndUserList/index' // 课程管理
import cardCouponList from './dataStatistics/cardCouponList/index' // 卡券统计列表
import cardCouponUsedList from './dataStatistics/cardCouponUsedList/index' // 卡券使用统计
import courseStatisticsList from './dataStatistics/courseStatisticsList/index' // 课程统计列表
import courseOrderList from './dataStatistics/courseOrderList/index' // 课程订单列表
import goodsOrderList from './dataStatistics/goodsOrderList/index' // 商品订单列表
import goodsStatisticsList from './dataStatistics/goodsStatisticsList/index' // 商品统计列表
import courseVerifyList from './dataStatistics/courseVerifyList/index' // 课程核销列表

import newOrder from './newOrder/index' // 商品订单系统
import newOrderList from './newOrder/newOrderList/index' // 新订单列表

import cardAndCouponManager from './cardAndCouponManager/index' // 卡券管理
import cardList from './cardAndCouponManager/cardManager/index' // 卡列表
import addCard from './cardAndCouponManager/cardManager/edit' // 新增卡
import editCard from './cardAndCouponManager/cardManager/edit' // 编辑卡
import couponList from './cardAndCouponManager/couponManager/index' // 券列表
import addCoupon from './cardAndCouponManager/couponManager/edit' // 新增券
import editCoupon from './cardAndCouponManager/couponManager/edit' // 编辑券
import bodyBuildingCardManager from './cardAndCouponManager/bodyBuildingCardManager/index' // 健身卡列表
import addBodyBuildingCard from './cardAndCouponManager/bodyBuildingCardManager/edit' // 健身卡新增
import editBodyBuildingCard from './cardAndCouponManager/bodyBuildingCardManager/edit' // 健身卡编辑
import givingRecords from './cardAndCouponManager/givingRecords' // 赠送记录
import vipList from './cardAndCouponManager/vipManager/index' // vip列表
import addVip from './cardAndCouponManager/vipManager/edit' // 新增vip
import editVip from './cardAndCouponManager/vipManager/edit' // 编辑vip
import activateVip from './cardAndCouponManager/vipManager/activateVip' // 激活vip

import caseRecord from './newOrder/caseRecord/index' // 月记录

import marketingActivities from './marketingActivities/index' // 营销活动
import activitiesList from './marketingActivities/activitiesList/index' // 活动列表
import addActivities from './marketingActivities/addActivities/index' // 添加活动

import healthManager from './healthManager/index' // 健康管理
import healthRecord from './healthManager/healthRecord/index' // 体检记录列表

import luckyDrawManager from './luckyDrawManager/index' // 抽奖管理
import luckyDrawList from './luckyDrawManager/luckyDrawList/index' // 抽奖记录列表
import luckyDrawShareList from './luckyDrawManager/luckyDrawShareList/index' // 抽奖分享记录列表

export default {
  router: [
    {
      path: '/system',
      name: 'system',
      component: system,
      children: [{ // 暂无菜单权限
        path: 'noAccessRight',
        name: 'noAccessRight',
        component: noAccessRight,
        children: []
      }, { // 首页控制板
        path: 'dashboard',
        name: 'dashboard',
        component: dashboard,
        children: []
      }, { // 系统设置
        path: 'systemSet',
        name: 'systemSet',
        component: systemSet,
        children: [{ // 用户管理
          path: 'userManager',
          name: 'userManager',
          component: userManager,
          children: [{ // 添加用户
            path: 'addUser',
            name: 'addUser',
            component: addUser,
            children: []
          }, { // 编辑用户
            path: 'editUser',
            name: 'editUser',
            component: editUser,
            children: []
          }]
        }, { // 角色管理
          path: 'roleManager',
          name: 'roleManager',
          component: roleManager,
          children: [{ // 编辑角色
            path: 'editRole',
            name: 'editRole',
            component: editRole,
            children: []
          }]
        }],
      }, { // 案场管理
        path: 'caseManager',
        name: 'caseManager',
        component: caseManager,
        children: [{ // 案场信息
          path: 'caseInfo',
          name: 'caseInfo',
          component: caseInfo,
          children: [{ // 新增案场
            path: 'addCase',
            name: 'addCase',
            component: addCase,
            children: []
          }, { // 编辑案场
            path: 'editCase',
            name: 'editCase',
            component: editCase,
            children: []
          }, { // 相关人员
            path: 'pplConcerned',
            name: 'pplConcerned',
            component: pplConcerned,
            children: [{ // 编辑相关人员
              path: 'editPPLConcerned',
              name: 'editPPLConcerned',
              component: editPPLConcerned,
              children: []
            }]
          }]
        }, { // 体检设备
          path: 'deviceManager',
          name: 'deviceManager',
          component: deviceManager,
          children: [{ // 添加体检设备
            path: 'addDevice',
            name: 'addDevice',
            component: addDevice,
            children: []
          }, { // 编辑体检设备
            path: 'editDevice',
            name: 'editDevice',
            component: editDevice,
            children: []
          }]
        }, { // 钥匙管理
          path: 'keyManager',
          name: 'keyManager',
          component: keyManager,
          children: [{ // 新增钥匙
            path: 'addKey',
            name: 'addKey',
            component: addKey,
            children: []
          }]
        }, { // 案场区域管理
          path: 'caseAreaManager',
          name: 'caseAreaManager',
          component: caseAreaManager,
          children: [{ // 新增案场区域
            path: 'addCaseArea',
            name: 'addCaseArea',
            component: addCaseArea,
            children: []
          }, { // 编辑案场区域
            path: 'editCaseArea',
            name: 'editCaseArea',
            component: editCaseArea,
            children: []
          }]
        }, { // 案场桌位管理
          path: 'caseTableManager',
          name: 'caseTableManager',
          component: caseTableManager,
          children: [{ // 新增案场桌位
            path: 'addCaseTable',
            name: 'addCaseTable',
            component: addCaseTable,
            children: []
          }, { // 编辑案场桌位
            path: 'editCaseTable',
            name: 'editCaseTable',
            component: editCaseTable,
            children: []
          }]
        }, { // 标签管理
          path: 'tagManager',
          name: 'tagManager',
          component: tagManager,
          children: [{ // 添加标签
            path: 'addTag',
            name: 'addTag',
            component: addTag,
            children: []
          }, { // 编辑标签
            path: 'editTag',
            name: 'editTag',
            component: editTag,
            children: []
          }]
        }, { // 签到管理
          path: 'signinManager',
          name: 'signinManager',
          component: signinManager,
          children: []
        }],
      }, { // 商品管理
        path: 'goodsManager',
        name: 'goodsManager',
        component: goodsManager,
        children: [{ // 商品类型管理
          path: 'goodsTypeManager',
          name: 'goodsTypeManager',
          component: goodsTypeManager,
          children: [{ // 新增商品类型
            path: 'addGoodsType',
            name: 'addGoodsType',
            component: addGoodsType,
            children: []
          }, { // 编辑商品类型
            path: 'editGoodsType',
            name: 'editGoodsType',
            component: editGoodsType,
            children: []
          }]
        }, { // 商品规格管理
          path: 'goodsSpecManager',
          name: 'goodsSpecManager',
          component: goodsSpecManager,
          children: [{ // 新增商品规格
            path: 'addGoodsSpec',
            name: 'addGoodsSpec',
            component: addGoodsSpec,
            children: []
          }, { // 编辑商品规格
            path: 'editGoodsSpec',
            name: 'editGoodsSpec',
            component: editGoodsSpec,
            children: []
          }]
        }, { // 商品管理
          path: 'goodsInfo',
          name: 'goodsInfo',
          component: goodsList,
          children: [{ // 新增商品
            path: 'addGoods',
            name: 'addGoods',
            component: addGoods,
            children: []
          }, { // 编辑商品
            path: 'editGoods',
            name: 'editGoods',
            component: editGoods,
            children: []
          }]
        }],
      }, { // cms管理
        path: 'cmsManager',
        name: 'cmsManager',
        component: cmsManager,
        children: [{ // 轮播图管理
          path: 'bannerManager',
          name: 'bannerManager',
          component: bannerManager,
          children: [{ // 新增轮播图
            path: 'addBanner',
            name: 'addBanner',
            component: addBanner,
            children: []
          }, { // 编辑轮播图
            path: 'editBanner',
            name: 'editBanner',
            component: editBanner,
            children: []
          }]
        }, { // 售楼处项目专题
          path: 'indexCase',
          name: 'indexCase',
          component: indexCase,
          children: [{ // 新增售楼处项目专题
            path: 'addIndexCase',
            name: 'addIndexCase',
            component: addIndexCase,
            children: []
          }, { // 编辑售楼处项目专题
            path: 'editIndexCase',
            name: 'editIndexCase',
            component: editIndexCase,
            children: []
          }]
        }, { // 首页消息
          path: 'indexMsg',
          name: 'indexMsg',
          component: indexMsg,
          children: [{ // 新增首页消息
            path: 'addIndexMsg',
            name: 'addIndexMsg',
            component: addIndexMsg,
            children: []
          }, { // 编辑首页消息
            path: 'editIndexMsg',
            name: 'editIndexMsg',
            component: editIndexMsg,
            children: []
          }]
        }, { // 资讯管理
          path: 'newsManager',
          name: 'newsManager',
          component: newsManager,
          children: [{ // 新增资讯
            path: 'addNews',
            name: 'addNews',
            component: addNews,
            children: []
          }, { // 编辑资讯
            path: 'editNews',
            name: 'editNews',
            component: editNews,
            children: []
          }]
        }],
      }, { // 渠道管理
        path: 'channelManager',
        name: 'channelManager',
        component: channelManager,
        children: [{ // 渠道列表
          path: 'channelList',
          name: 'channelList',
          component: channelList,
          children: [{ // 新增渠道
            path: 'addChannel',
            name: 'addChannel',
            component: addChannel,
            children: []
          }, { // 编辑渠道
            path: 'editChannel',
            name: 'editChannel',
            component: editChannel,
            children: []
          }]
        }],
      }, { // 课程管理
        path: 'courseManager',
        name: 'courseManager',
        component: courseManager,
        children: [{ // 全龄生活5A
          path: 'fiveA',
          name: 'fiveA',
          component: fiveA,
          children: [{ // 全龄生活5A添加
            path: 'addFiveA',
            name: 'addFiveA',
            component: addFiveA,
            children: []
          }, { // 全龄生活5A编辑
            path: 'editFiveA',
            name: 'editFiveA',
            component: editFiveA,
            children: []
          }]
        }, { // 课程列表
          path: 'courseList',
          name: 'courseList',
          component: courseList,
          children: [{ // 新增课程
            path: 'addCourse',
            name: 'addCourse',
            component: addCourse,
            children: []
          }, { // 编辑课程
            path: 'editCourse',
            name: 'editCourse',
            component: editCourse,
            children: []
          }]
        }, { // 排课管理
          path: 'scheduleManager',
          name: 'scheduleManager',
          component: scheduleManager,
          children: [{ // 新增、编辑排课
            path: 'editSchedule',
            name: 'editSchedule',
            component: editSchedule,
            children: []
          }]
        }, { // 课程标签
          path: 'courseTag',
          name: 'courseTag',
          component: courseTag,
          children: []
        }],
      }, { // 核销管理
        path: 'verificationManager',
        name: 'verificationManager',
        component: verificationManager,
        children: [{ // 二维码核销
          path: 'qrcodeVerification',
          name: 'qrcodeVerification',
          component: qrcodeVerification,
          children: [{ // 二维码核销列表
            path: 'qrcodeVerificationList',
            name: 'qrcodeVerificationList',
            component: qrcodeVerificationList,
            children: []
          }]
        }, { // 手机核销
          path: 'phoneVerification',
          name: 'phoneVerification',
          component: phoneVerification,
          children: [{ // 手机核销列表
            path: 'phoneVerificationList',
            name: 'phoneVerificationList',
            component: phoneVerificationList,
            children: []
          }]
        }, { // 抽奖核销
          path: 'drawVerification',
          name: 'drawVerification',
          component: drawVerification,
          children: [{ // 抽奖核销列表
            path: 'drawVerificationList',
            name: 'drawVerificationList',
            component: drawVerificationList,
            children: []
          }]
        }]
      }, { // 商品订单系统
        path: 'newOrder',
        name: 'newOrder',
        component: newOrder,
        children: [{ // 新订单列表
          path: 'newOrderList',
          name: 'newOrderList',
          component: newOrderList,
          children: []
        }, { // 月记录
          path: 'caseRecord',
          name: 'caseRecord',
          component: caseRecord,
          children: []
        }]
      }, { // 数据统计
        path: 'dataStatistics',
        name: 'dataStatistics',
        component: dataStatistics,
        children: [{ // 前台用户列表
          path: 'frontEndUserList',
          name: 'frontEndUserList',
          component: frontEndUserList,
          children: []
        }, { // 卡券统计列表
          path: 'cardCouponList',
          name: 'cardCouponList',
          component: cardCouponList,
          children: []
        }, { // 卡券使用列表
          path: 'cardCouponUsedList',
          name: 'cardCouponUsedList',
          component: cardCouponUsedList,
          children: []
        }, { // 课程统计列表
          path: 'courseStatisticsList',
          name: 'courseStatisticsList',
          component: courseStatisticsList,
          children: []
        }, { // 课程订单列表
          path: 'courseOrderList',
          name: 'courseOrderList',
          component: courseOrderList,
          children: []
        }, { // 商品订单列表
          path: 'goodsOrderList',
          name: 'goodsOrderList',
          component: goodsOrderList,
          children: []
        }, { // 商品统计列表
          path: 'goodsStatisticsList',
          name: 'goodsStatisticsList',
          component: goodsStatisticsList,
          children: []
        }, { // 课程核销列表
          path: 'courseVerifyList',
          name: 'courseVerifyList',
          component: courseVerifyList,
          children: []
        }]
      }, { // 卡券管理
        path: 'cardAndCouponManager',
        name: 'cardAndCouponManager',
        component: cardAndCouponManager,
        children: [{ // 卡列表
          path: 'cardList',
          name: 'cardList',
          component: cardList,
          children: [{ // 编辑卡
            path: 'editCard',
            name: 'editCard',
            component: editCard,
            children: []
          }, { // 新增卡
            path: 'addCard',
            name: 'addCard',
            component: addCard,
            children: []
          }]
        }, { // 券列表
          path: 'couponList',
          name: 'couponList',
          component: couponList,
          children: [{ // 编辑券
            path: 'editCoupon',
            name: 'editCoupon',
            component: editCoupon,
            children: []
          }, { // 新增券
            path: 'addCoupon',
            name: 'addCoupon',
            component: addCoupon,
            children: []
          }]
        }, { // 健身卡列表
          path: 'bodyBuildingCardManager',
          name: 'bodyBuildingCardManager',
          component: bodyBuildingCardManager,
          children: [{ // 编辑健身卡
            path: 'editBodyBuildingCard',
            name: 'editBodyBuildingCard',
            component: editBodyBuildingCard,
            children: []
          }, { // 新增健身卡
            path: 'addBodyBuildingCard',
            name: 'addBodyBuildingCard',
            component: addBodyBuildingCard,
            children: []
          }]
        }, { // 赠送记录
          path: 'givingRecords',
          name: 'givingRecords',
          component: givingRecords,
          children: []
        }, { // vip列表
          path: 'vipList',
          name: 'vipList',
          component: vipList,
          children: [{ // 新增vip
            path: 'addVip',
            name: 'addVip',
            component: addVip,
            children: []
          }, { // 编辑vip
            path: 'editVip',
            name: 'editVip',
            component: editVip,
            children: []
          }, { // 激活vip
            path: 'activateVip',
            name: 'activateVip',
            component: activateVip,
            children: []
          }]
        }]
      }, { // 营销活动
        path: 'marketingActivities',
        name: 'marketingActivities',
        component: marketingActivities,
        children: [{
          path: 'activitiesList',
          name: 'activitiesList',
          component: activitiesList,
          children: [{ // 添加活动
            path: 'addActivities',
            name: 'addActivities',
            component: addActivities,
            children: []
          }]
        }]
      }, { // 健康管理
        path: 'healthManager',
        name: 'healthManager',
        component: healthManager,
        children: [{ // 体检记录列表
          path: 'healthRecord',
          name: 'healthRecord',
          component: healthRecord,
          children: []
        }],
      }, { // 抽奖管理
        path: 'luckyDrawManager',
        name: 'luckyDrawManager',
        component: luckyDrawManager,
        children: [{ // 抽奖记录列表
          path: 'luckyDrawList',
          name: 'luckyDrawList',
          component: luckyDrawList,
          children: []
        }, { // 抽奖分享记录列表
          path: 'luckyDrawShareList',
          name: 'luckyDrawShareList',
          component: luckyDrawShareList,
          children: []
        }],
      }]
    },
  ],
}
